<?php

/**
 * Background section
 */
Kirki::add_section('bg_body', array(
    'title'    => esc_attr__('Background', 'histogram-pro'),
    'priority' => 3,
    'panel'    => 'theme_settings'
));

/**
 * Background
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'background',
    'settings'    => 'bg_body_background',
    'section'     => 'bg_body',
    'default'     => array(
        'background-color'      => '#f9f9f9',
        'background-image'      => '',
        'background-repeat'     => 'no-repeat',
        'background-position'   => 'center center',
        'background-size'       => 'cover',
        'background-attachment' => 'scroll',
    ),
    'output'      => array(
        array(
            'element'  => 'body',
            'exclude' => array(
                array(
                    'background-color'      => '#f9f9f9',
                    'background-image'      => '',
                    'background-repeat'     => 'no-repeat',
                    'background-position'   => 'center center',
                    'background-size'       => 'cover',
                    'background-attachment' => 'scroll',
                ),
            ),
        ),
    ),
    'transport'   => 'auto',
));

/**
 * Background overlay
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'color',
    'settings'    => 'bg_body_overlay',
    'label'       => esc_attr__('Background Overlay', 'histogram-pro'),
    'section'     => 'bg_body',
    'default'     => '',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => array(
                '.body-overlay',
            ),
            'property' => 'background-color'
        ),
    ),
    'transport'   => 'auto',
));

/**
 * Text color
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'color',
    'settings'    => 'bg_body_color',
    'label'       => esc_attr__('Text Color', 'histogram-pro'),
    'section'     => 'bg_body',
    'default'     => '#555555',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => array(
                'body:not(.site-header)',
                'h1',
                'h2',
                'h3',
                'h4',
                'h5',
                'h6',
                '.entry-meta a',
                '.entry-meta a:hover',
                '.page-title a',
                '.entry-title a',
                '.site-content a',
            ),
            'property' => 'color',
            'exclude'  => array('#555555')
        ),
        array(
            'element'  => array(
                '.page-header .welcome-title::after',
            ),
            'property' => 'border-color',
            'exclude'  => array('#555555')
        ),
    ),
    'transport'   => 'auto',
));
