<?php

/**
 * Sidebar section
 */
Kirki::add_section('sidebar', array(
    'title'    => esc_attr__('Sidebar', 'histogram-pro'),
    'priority' => 9,
    'panel'    => 'theme_settings'
));

/**
 * Background image
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'background',
    'settings'    => 'sidebar_background',
    'section'     => 'sidebar',
    'default'     => array(
        'background-color'      => '#ffffff',
        'background-image'      => '',
        'background-repeat'     => 'no-repeat',
        'background-position'   => 'center center',
        'background-size'       => 'cover',
        'background-attachment' => 'scroll',
    ),
    'output'      => array(
        array(
            'element'  => '.site-header',
            'exclude' => array(
                array(
                    'background-color'      => '#ffffff',
                    'background-image'      => '',
                    'background-repeat'     => 'no-repeat',
                    'background-position'   => 'center center',
                    'background-size'       => 'cover',
                    'background-attachment' => 'scroll',
                ),
            ),
        ),
    ),
    'transport'   => 'auto',
));

/**
 * Text color
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'color',
    'settings'    => 'sidebar_text_color',
    'label'       => esc_attr__('Text Color', 'histogram-pro'),
    'section'     => 'sidebar',
    'default'     => '#555555',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => array(
                '.site-header',
                '.site-description',
            ),
            'property' => 'color',
            'exclude'  => array('#555555')
        ),
    ),
    'transport'   => 'auto',
));

/**
 * Link color
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'color',
    'settings'    => 'sidebar_link_color',
    'label'       => esc_attr__('Link Color', 'histogram-pro'),
    'section'     => 'sidebar',
    'default'     => '#999999',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => array(
                '.site-header a',
                '.site-title a',
                '.main-navigation a',
                '.main-navigation .current_page_item > a',
                '.main-navigation .current-menu-item > a',
            ),
            'property' => 'color',
            'exclude'  => array('#999999')
        ),
    ),
    'transport'   => 'auto',
));

/**
 * Link color: hover
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'color',
    'settings'    => 'sidebar_hover_color',
    'label'       => esc_attr__('Hover Color', 'histogram-pro'),
    'section'     => 'sidebar',
    'default'     => '#333333',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => array(
                '.site-header a:hover',
                '.site-title a:hover',
                '.main-navigation a:hover',
                '.main-navigation .current_page_item > a:hover',
                '.main-navigation .current-menu-item > a:hover',
            ),
            'property' => 'color',
            'exclude'  => array('#333333')
        ),
    ),
    'transport'   => 'auto',
));

/**
 * Border color
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'color',
    'settings'    => 'sidebar_border_color',
    'label'       => esc_attr__('Border Color', 'histogram-pro'),
    'section'     => 'sidebar',
    'default'     => 'rgba(0, 0, 0, 0.06)',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => array(
                '.main-navigation li',
            ),
            'property' => 'border-color',
            'exclude'  => array('rgba(0, 0, 0, 0.06)')
        ),
    ),
    'transport'   => 'auto',
));

/**
 * Social color
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'color',
    'settings'    => 'sidebar_social_color',
    'label'       => esc_attr__('Social Icon Color', 'histogram-pro'),
    'section'     => 'sidebar',
    'default'     => '#555555',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => array(
                '.social-links ul a::before',
            ),
            'property' => 'color',
            'exclude'  => array('#555555')
        ),
    ),
    'transport'   => 'auto',
));

/**
 * Social bg color
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'color',
    'settings'    => 'sidebar_social_bg',
    'label'       => esc_attr__('Social Icon Background', 'histogram-pro'),
    'section'     => 'sidebar',
    'default'     => '#eeeeee',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => array(
                '.social-links ul a::before',
            ),
            'property' => 'background-color',
            'exclude'  => array('#eeeeee')
        ),
    ),
    'transport'   => 'auto',
));
