<?php

/**
 * Typography section
 */
Kirki::add_section('typography', array(
    'title'    => esc_html__('Typography', 'histogram-pro'),
    'priority' => 5,
    'panel'    => 'theme_settings'
));

/**
 * Body text
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'typography',
    'settings'    => 'body_text',
    'label'       => esc_html__('Body Text', 'histogram-pro'),
    'section'     => 'typography',
    'default'     => array(
        'font-family'    => 'Inter',
        'variant'        => 'regular',
        'font-size'      => '16px',
        'letter-spacing' => '0',
        'text-transform' => 'none'
    ),
    'transport'   => 'auto',
    'output'       => array(
        array(
            'element'  => array(
                'body',
                'button',
                'input',
                'select',
                'textarea'
            )
        ),
    ),
));

/**
 * Heading text
 */
Kirki::add_field('histogram_options', array(
    'type'        => 'typography',
    'settings'    => 'heading_text',
    'label'       => esc_html__('Heading Text', 'histogram-pro'),
    'section'     => 'typography',
    'default'     => array(
        'font-family'    => 'Biryani',
        'variant'        => '700',
        'letter-spacing' => '0',
        'text-transform' => 'none'
    ),
    'transport'   => 'auto',
    'output'       => array(
        array(
            'element'  => array(
                'h1',
                'h1 a',
                'h2',
                'h2 a',
                'h3',
                'h3 a',
                'h4',
                'h4 a',
                'h5',
                'h5 a',
                'h6',
                'h6 a',
            )
        ),
    ),
));
